Holger's Java API

## com.antelmann.db.remote
Class RemoteDBUpdateEvent

    java.lang.Object
      java.util.EventObject
          com.antelmann.db.remote.RemoteDBUpdateEvent

All Implemented Interfaces:
  Serializable

    public class RemoteDBUpdateEvent

extends EventObject

used to support update events that may originate on a different computer than they are delivered to

Since:
  20.08.2008, 16:57:19
Author:
  Holger Antelmann
See Also:
  `DBUpdateEvent`, Serialized Form

Nested Class Summary
`static class` `RemoteDBUpdateEvent.Option` used as the optional parameter when generating a `DBUpdateEvent`

Field Summary
`static InetAddress` `LOCALHOST`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`RemoteDBUpdateEvent(DBUpdateEvent ev)` as the parameter is often a non-serializable filter, some standard filter is used in that case instead

Method Summary
`InetAddress` `getComputer()`
`Class<? extends DBEntry>` `getEntryClass()`
`String` `getEntryClassName()`
`Object` `getParameter()`
`Object` `getReturnValue()`
`long` `getTime()`
`DBClassStore.DBMethod` `getType()`
`DefaultDBReference` `getUser()`
`DBUpdateEvent` `makeDBUpdateEvent(Database<?> db)`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LOCALHOST

    public static InetAddress LOCALHOST

Constructor Detail

### RemoteDBUpdateEvent

    public RemoteDBUpdateEvent(DBUpdateEvent ev)

  as the parameter is often a non-serializable filter, some standard filter is used in that case instead

Method Detail

### getComputer

    public InetAddress getComputer()

### getUser

    public DefaultDBReference getUser()

### getEntryClassName

    public String getEntryClassName()

### getEntryClass

    public Class<? extends DBEntry> getEntryClass()
                                           throws ClassNotFoundException

  Throws:
    `ClassNotFoundException`

### getType

    public DBClassStore.DBMethod getType()

### getParameter

    public Object getParameter()

### getTime

    public long getTime()

### getReturnValue

    public Object getReturnValue()

### makeDBUpdateEvent

    public DBUpdateEvent makeDBUpdateEvent(Database<?> db)
                                    throws IllegalArgumentException,
                                           NullPointerException,
                                           ClassNotFoundException

  Throws:
    `IllegalArgumentException`
    `NullPointerException`
    `ClassNotFoundException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads